Package twisted :: Package internet :: Module protocol :: Class ProtocolToConsumerAdapter

[show private | hide private]
[frames | no frames]

## Class ProtocolToConsumerAdapter

    Adapter --+
              |
             ProtocolToConsumerAdapter

This class is unstable.

Method Summary
| ``__init__`(self, original)` Set my 'original' attribute to be the object I am adapting. (inherited from `Adapter`)
| ``getComponent`(self, interface, registry, default)` I forward getComponent to self.original on the assumption that it is an instance of Componentized. (inherited from `Adapter`)
| `registerProducer(self, producer, streaming)`
| `unregisterProducer(self)`
| `write(self, data)`

Class Variable Summary
`MetaInterface` | `__implements__`

Class Variable Details

### __implements__

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.internet.interfaces.IConsumer'>

Generated by Epydoc 1.1 on Thu May 8 13:18:27 2003 | http://epydoc.sf.net